import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetTokenDefinitionsParams, GetDataPropsParams, GetTokenBalancesParams, GetDisplayPropsParams } from '../../../position/template/contract-position.template.types';
import { SingleStakingFarmDynamicTemplateContractPositionFetcher } from '../../../position/template/single-staking.dynamic.template.contract-position-fetcher';
import { PancakeswapContractFactory, PancakeswapSmartChef } from '../contracts';
export declare class BinanceSmartChainPancakeswapSyrupStakingContractPositionFetcher extends SingleStakingFarmDynamicTemplateContractPositionFetcher<PancakeswapSmartChef> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PancakeswapContractFactory;
    groupLabel: string;
    currentBlock: number;
    constructor(appToolkit: IAppToolkit, contractFactory: PancakeswapContractFactory);
    getContract(address: string): PancakeswapSmartChef;
    getFarmAddresses(): Promise<string[]>;
    getStakedTokenAddress({ contract }: GetTokenDefinitionsParams<PancakeswapSmartChef>): Promise<string>;
    getRewardTokenAddresses({ contract }: GetTokenDefinitionsParams<PancakeswapSmartChef>): Promise<string[]>;
    getRewardRates({ contract }: GetDataPropsParams<PancakeswapSmartChef>): Promise<import("ethers").BigNumber[] | number[]>;
    getLabel({ contractPosition }: GetDisplayPropsParams<PancakeswapSmartChef>): Promise<string>;
    getStakedTokenBalance({ contract, address }: GetTokenBalancesParams<PancakeswapSmartChef>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalances({ contract, address }: GetTokenBalancesParams<PancakeswapSmartChef>): Promise<import("ethers").BigNumber>;
}
